/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomXMLHttpRequestException_H___INT_
#define __GdomXMLHttpRequestException_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "XMLHttpRequestException.h"
namespace WebCore {
    gpointer toGDOM(XMLHttpRequestException* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMXMLHttpRequestException : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_XML_HTTP_REQUEST_EXCEPTION; }
    GDOMXMLHttpRequestException(PassRefPtr<WebCore::XMLHttpRequestException> impl);
    virtual ~GDOMXMLHttpRequestException();
    WebCore::XMLHttpRequestException* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::XMLHttpRequestException> m_impl;
};
G_END_DECLS

#endif /* __GdomXMLHttpRequestException_H___INT_*/
